# New Features

### [Process Templates](/frends-development/integrations/templates.md) <a href="#h_4ba9d418d2" id="h_4ba9d418d2"></a>

Process Templates offer a way of creating reusable templates for Processes with specific Process Variable parameters. Processes that are based on these Templates can be easily updated when the Template is changed to provide a way of managing and updating large amounts of Processes that have the same structure but differ on a parameter level.

\
Process Templates can either be created from an existing Process or they can be imported from a Template's export file. When the Template needs to be updated, a new version can be created by modifying a Process and then creating a new version of an existing template from it. When a new version of a Template is created, the Processes that are based on it can be updated.

Templates will be an integral part of the future Business Integration Portal and will allow easy provisioning of Processes there. Also in the future there will be a Template feed which will provide ready to use Templates.

### [API Passthroughs](/frends-development/api-management/passthrough-apis.md) <a href="#h_f9d1094aaf" id="h_f9d1094aaf"></a>

Previously creating passthrough APIs always required a Process even if the request was not modified in any way. API Passthroughs provide a way of exposing API endpoints without the need for a Process, the API Passthroughs work like a proxy for API endpoints in Frends. The target URL and headers for the call can be modified when the API is called and it passes the request to the target URL.

\
​Note: Passthroughs are only available on Cross-Platform Agents and due to the passthrough nature, they will not handle any sort of authentication themselves, it will need to be handled by the target backend server.

However, the upcoming API Policy feature will provide a way of enabling authentication for any endpoint exposed by a Frends Agent, including passthrough APIs.

### [API Monitoring](/frends-development/api-management/api-monitoring.md) <a href="#h_af74a26b56" id="h_af74a26b56"></a>

Because the API Passthroughs don't have actual Processes behind them, they won't be logged as Process executions and viewable in the Process Instance lists. Instead we are introducing the API Monitoring feature, which allows to see all HTTP requests coming into Frends. This is integrated into the API view, and you can easily see calls related to a specific API or API endpoint there.

Note: This will also mean that you can also see requests that aren't targeting any exposed endpoints (API passthroughs, API or HTTP Triggers), so you will also see requests that are caused by web crawlers, etc. This is normal for any publicly exposed HTTP endpoints and this does not mean that the Agent has been compromised. As well as Passthroughs, API Monitoring is only available on Cross-Platform Agents.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/release-notes/frends-5.7/new-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
